{ config, ... }:
{
  programs.foot = {
    enable = config.home.desktop.enable;
    server.enable = false;
    settings = {
      main = {
        term = "xterm-256color";
        font = "${config.vars.fonts.mono}:size=14.7";
      };
      colors = {
        alpha = "0.85";
        background = config.vars.colors.dark;
        regular0 = "3f3f3f";
        regular1 = "cc0000";
        regular2 = "4e9a06";
        regular3 = "c4a000";
        regular4 = "94bff3";
        regular5 = "85678f";
        regular6 = "06989a";
        regular7 = "dcdccc";
        bright0 = "545454";
        bright1 = "fc5454";
        bright2 = "8ae234";
        bright3 = "fce94f";
        bright4 = "94bff3";
        bright5 = "b294bb";
        bright6 = "93e0e3";
        bright7 = "ffffff";
      };
      cursor.style = "beam";
      key-bindings = {
        search-start = "Control+f";
        show-urls-launch = "Control+s";
      };
    };
  };
}
