{ config, ... }:
{
  xdg.userDirs = with config.home; {
    enable = config.xdg.enable;
    createDirectories = true;

    desktop = null;
    music = null;
    pictures = "${homeDirectory}/Photos";
    publicShare = null;
    templates = null;

    extraConfig = {
      XDG_GAMES_DIR = "${homeDirectory}/Games";
      XDG_KEEPERS_DIR = "${homeDirectory}/Keepers";
      XDG_NETWORK_DIR = "/network";
      XDG_PERSIST_DIR = "/persist${homeDirectory}";
      XDG_PROJECTS_DIR = "${homeDirectory}/Projects";
      XDG_SCREENSHOTS_DIR = "${config.xdg.userDirs.pictures}/Screenshots";
    };
  };
}
