{ config, lib, ... }:
{
  boot = {
    supportedFilesystems = {
      ntfs = builtins.elem "pc" config.system.nixos.tags;
      zfs = builtins.elem "server" config.system.nixos.tags;
    };
    swraid = {
      enable = builtins.elem "server" config.system.nixos.tags;
      mdadmConf = "MAILADDR contact@nixfox.ca";
    };
  };

  services = lib.mkIf config.environment.persistence."/persist".enable {
    btrfs.autoScrub = {
      enable = true;
      interval = "weekly";
    };
    fstrim.enable = true;
  };

  programs.fuse.userAllowOther = true;
}
