{ config, lib, nodes, ... }:
{
  fileSystems = let
    netOpts = [
      "noauto"
      "soft"
      "x-systemd.automount"
    ];
  in with nodes; {
    "midas" = {
      enable = lib.mkDefault false;
      device = "[${midas.config.deployment.targetHost}]:/storage";
      mountPoint = "/network/Midas";
      fsType = "nfs4";
      options = netOpts;
    };
    "kitty" = {
      enable = lib.mkDefault false;
      device = "[${kitty.config.deployment.targetHost}]:/storage";
      mountPoint = "/network/Kitty";
      fsType = "nfs4";
      options = netOpts;
    };
    "prophet" = {
      enable = lib.mkDefault false;
      device = "[${prophet.config.deployment.targetHost}]:/storage";
      mountPoint = "/network/Prophet";
      fsType = "nfs4";
      options = netOpts;
    };
  };
}
