{ config, ... }:
{
  imports = [
    ./nginx
    ./liquidsoap
  ];

  services.icecast = {
    listen.port = 73;
    hostname = "radio.${config.vars.mainDomain}";
    admin = {
      user = "admin";
      password = config.secrets.cast.adminPass;
    };
    extraConf = ''
      <authentication>
        <source-password>${config.secrets.cast.sourcePass}</source-password>
      </authentication>
      <location>Canada</location>
      <admin>contact@${config.vars.mainDomain}</admin>
    '';
  };
}
