{ config, lib, pkgs, ... }:
{
  services = {
    minecraft-servers.servers.marsh = {
      package = pkgs.paperServers.paper-1_21_4;
      jvmOpts = "-Xmx2000M";
      serverProperties = config.services.minecraft-servers.common.serverProperties // {
        difficulty = 3;
        server-port = 30017;
        motd = "\\u00A7l\\u00A72Murky.";
      };
      whitelist = config.services.minecraft-servers.common.whitelist;
      symlinks = config.services.minecraft-servers.common.paperSymlinks;
      files = config.services.minecraft-servers.common.configFiles;
    };
    cloudflare-dyndns.domains = lib.mkIf config.services.minecraft-servers.servers.marsh.enable [ "marsh.${config.vars.mainDomain}" ];
  };
}
